Skip to content

Play a stream over WebRTC using WHEP.

POST
/xrpc/place.stream.playback.whep
curl --request POST \
--url 'https://example.com/xrpc/place.stream.playback.whep?streamer=example&rendition=example' \
--header 'Content-Type: */*' \
--data example
streamer
required

The DID of the streamer to play.

string

The DID of the streamer to play.

rendition
required

The rendition of the stream to play.

string

The rendition of the stream to play.

Media type*/*

Success

Media type*/*

Bad Request

Media typeapplication/json
object
error
required
One of:
string
Allowed value: Unauthorized
message
required
string

Example

{
"error": "Unauthorized"
}